[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSetRLimit

Set process resource limits

## Declaration

Source position: bunxh.inc line 115

`function FpSetRLimit(`
`Resource: cint;`
`rlim: PRLimit`
`):cint;`

## Description

FpGetRLimit sets the resource limits for the current process: resource determines the resource of which the kernel should set the limits (one of the many RLIMIT_* constants). rlim should point to a TRLimit record which contains the new limits for the resource indicated in resource.

The function returns zero if the resource limits were successfully set.

## Errors

On error, -1 is returned and fpgeterrno can be used to retrieve the error code.

## See also

FpGetRLimit |  | Get process resource limits